## com.baidubce.services.lss.model
Class GetSecurityPolicyResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.lss.model.GetSecurityPolicyResponse

    public class GetSecurityPolicyResponse

extends AbstractBceResponse

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`GetSecurityPolicyResponse()`

Method Summary
`AntiLeech` `getAntiLeech()`
`AuthInfo` `getAuth()`
`Encryption` `getEncryption()`
`String` `getName()`
`void` `setAntiLeech(AntiLeech antiLeech)`
`void` `setAuth(AuthInfo auth)`
`void` `setEncryption(Encryption encryption)`
`void` `setName(String name)`
`String` `toString()`
`GetSecurityPolicyResponse` `withAntiLeech(AntiLeech antiLeech)`
`GetSecurityPolicyResponse` `withAuth(AuthInfo auth)`
`GetSecurityPolicyResponse` `withEncryption(Encryption encryption)`
`GetSecurityPolicyResponse` `withName(String name)`

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetSecurityPolicyResponse

    public GetSecurityPolicyResponse()

Method Detail

### getName

    public String getName()

### setName

    public void setName(String name)

### withName

    public GetSecurityPolicyResponse withName(String name)

### getAuth

    public AuthInfo getAuth()

### setAuth

    public void setAuth(AuthInfo auth)

### withAuth

    public GetSecurityPolicyResponse withAuth(AuthInfo auth)

### getAntiLeech

    public AntiLeech getAntiLeech()

### setAntiLeech

    public void setAntiLeech(AntiLeech antiLeech)

### withAntiLeech

    public GetSecurityPolicyResponse withAntiLeech(AntiLeech antiLeech)

### getEncryption

    public Encryption getEncryption()

### setEncryption

    public void setEncryption(Encryption encryption)

### withEncryption

    public GetSecurityPolicyResponse withEncryption(Encryption encryption)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2016. All rights reserved.